language-class {methods} | R Documentation

## Classes to Represent Unevaluated Language Objects

### Description

The virtual class `"language"` and the specific classes that extend it represent unevaluated objects, as produced for example by the parser or by functions such as `quote`.

### Usage

    ### each of these classes corresponds to an unevaluated object
    ### in the S language.
    ### The class name can appear in method signatures,
    ### and in a few other contexts (such as some calls to as()).

    "("
    "<-"
    "call"
    "for"
    "if"
    "repeat"
    "while"
    "name"
    "{"

    ### Each of the classes above extends the virtual class
    "language"

### Objects from the Class

`"language"` is a virtual class; no objects may be created from it.

Objects from the other classes can be generated by a call to `new(Class, ...)`, where `Class` is the quoted class name, and the ... arguments are either empty or a single object that is from this class (or an extension).

### Methods

coerce

  `signature(from = "ANY", to = "call")`. A method exists for `as(object, "call")`, calling `as.call()`.

### Examples

    showClass("language")

    is( quote(sin(x)) ) # "call"  "language"

    (ff <- new("if"))  ; is(ff) # "if" "language"
    (ff <- new("for")) ; is(ff) # "for" "language"

[Package methods version 3.5.1 Index]